Bug 505982 - Review Request: zikula-module-MultiHook - MultiHook is a simple replacement for the old AutoLinks module for Zikula
Review Request: zikula-module-MultiHook - MultiHook is a simple replacement f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 505939
  Show dependency treegraph
 
Reported: 2009-06-14 23:16 EDT by eric@christensenplace.us
Modified: 2009-07-28 13:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.0-4.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 17:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2009-06-14 23:16:03 EDT
Spec URL: http://sparks.fedorapeople.org/Packages/zikula-module-MultiHook/zikula-module-MultiHook.spec

SRPM URL: http://sparks.fedorapeople.org/Packages/zikula-module-MultiHook/zikula-module-MultiHook-5.0-1.fc11.src.rpm

Description: MultiHook started as a simple replacement for the old AutoLinks module (replacing normal text with links), but in the meantime it can handle also abbreviations and acronyms (replacing text with abbr and acronym-tags) and it can also censor if wanted (replacing bad words with ***). Links, abbreviations, acronyms and bad words can be easily defined with some helpful Ajax functionality. MultiHook was the first module in the Zikula world to use Ajax for convenience.
Comment 1 Ian Weller 2009-06-14 23:21:52 EDT
(prelim review, i'm not a sponsor, needs a formal review, etc)

%changelog: Since you did this one yourself you most definitely need to change it to your name and email.

%doc: There are a lot more docs available in the pndocs/ dir than what you have listed.

rpmlint output:
zikula-module-MultiHook.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/license.txt
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/credits.txt
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/changelog.txt
Comment 2 eric@christensenplace.us 2009-06-15 00:11:04 EDT
Spec URL:
http://sparks.fedorapeople.org/Packages/zikula-module-MultiHook/zikula-module-MultiHook.spec

SRPM URL:
http://sparks.fedorapeople.org/Packages/zikula-module-MultiHook/zikula-module-MultiHook-5.0-2.fc11.src.rpm


Fixed.  No errors/warnings on rpmlint output.  Thanks for the reminder!
Comment 3 Ian Weller 2009-06-30 12:13:49 EDT
Hey, now that you are sponsored, I guess I'll take this. :)
Comment 4 Ian Weller 2009-06-30 12:18:05 EDT
[ianweller@deathray review]$ rpmlint /home/ianweller/rpmbuild/RPMS/noarch/zikula-module-MultiHook-5.0-2.fc11.noarch.rpm
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/license.txt
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/install.txt
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/needles_howto.txt
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/credits.txt
zikula-module-MultiHook.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/zikula-module-MultiHook-5.0/changelog.txt
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

please fix :)
Comment 6 Ian Weller 2009-07-13 16:10:10 EDT
== FULL REVIEW ==

[  OK  ] specfiles match:
  72e5cecad7897770a6b0b4859cdf2308  zikula-module-MultiHook.spec
  72e5cecad7897770a6b0b4859cdf2308  zikula-module-MultiHook.spec.1
[  OK  ] source files match upstream:
  7bcef21d80df346133ce6742b9b7bbb6  MultiHook_5.0.zip
  7bcef21d80df346133ce6742b9b7bbb6  MultiHook_5.0.zip.1
[  OK  ] package meets naming and versioning guidelines.
[ SURE ] spec is properly named, cleanly written, and uses macros consistently.
  I'd add line breaks in between each %changelog entry for legibility, but 
  that's a matter of taste.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[FAILED] license field matches the actual license.
  It's actually GPLv2+, check the source files (says "any later version").
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  N/A ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  N/A ] debuginfo package looks complete.
[FAILED] rpmlint is silent. 
  zikula-module-MultiHook.src: W: strange-permission MultiHook_5.0.zip 0770
  Very minor issue, a matter of chmodding your source file in rpmbuild/SOURCES 
  to 644 or 664.
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  N/A ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  N/A ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

Please fix.
Comment 8 Ian Weller 2009-07-13 17:19:20 EDT
Alrighty, those are fixed.

  ----------------------------------------------------------------------
   This package (zikula-module-MultiHook) is APPROVED by me (ianweller)
  ----------------------------------------------------------------------
Comment 9 eric@christensenplace.us 2009-07-13 17:32:59 EDT
New Package CVS Request
=======================
Package Name: zikula-module-MultiHook
Short Description: MultiHook is a simple replacement for the old AutoLinks module for Zikula
Owners: sparks ke4qqq
Branches: F-10 F-11 EL-5
InitialCC:
Comment 10 Kevin Fenzi 2009-07-14 00:32:30 EDT
cvs done.
Comment 11 Fedora Update System 2009-07-14 08:29:45 EDT
zikula-module-MultiHook-5.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/zikula-module-MultiHook-5.0-4.fc10
Comment 12 Fedora Update System 2009-07-14 08:37:09 EDT
zikula-module-MultiHook-5.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zikula-module-MultiHook-5.0-4.fc11
Comment 13 Fedora Update System 2009-07-14 08:43:40 EDT
zikula-module-MultiHook-5.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zikula-module-MultiHook-5.0-4.el5
Comment 14 Fedora Update System 2009-07-14 21:04:04 EDT
zikula-module-MultiHook-5.0-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula-module-MultiHook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0078
Comment 15 Fedora Update System 2009-07-19 06:14:01 EDT
zikula-module-MultiHook-5.0-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula-module-MultiHook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7726
Comment 16 Fedora Update System 2009-07-19 06:14:40 EDT
zikula-module-MultiHook-5.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zikula-module-MultiHook'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7728
Comment 17 Fedora Update System 2009-07-27 17:26:29 EDT
zikula-module-MultiHook-5.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-07-27 17:38:39 EDT
zikula-module-MultiHook-5.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-28 13:23:21 EDT
zikula-module-MultiHook-5.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.